Skip to main content
PATCH
/
orgs
/
{org_id}
/
tables
/
{table_id}
Update a table
curl --request PATCH \
  --url https://api.useinvent.com/orgs/{org_id}/tables/{table_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "record_prefix": "<string>",
  "description": "<string>",
  "icon": "<string>",
  "display_field_id": "<string>",
  "archived": true
}
'
import requests

url = "https://api.useinvent.com/orgs/{org_id}/tables/{table_id}"

payload = {
    "name": "<string>",
    "record_prefix": "<string>",
    "description": "<string>",
    "icon": "<string>",
    "display_field_id": "<string>",
    "archived": True
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    name: '<string>',
    record_prefix: '<string>',
    description: '<string>',
    icon: '<string>',
    display_field_id: '<string>',
    archived: true
  })
};

fetch('https://api.useinvent.com/orgs/{org_id}/tables/{table_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "<string>",
  "name": "Companies",
  "description": "Companies are organizations that own and manage other organizations.",
  "record_prefix": "LEAD",
  "icon": "<string>",
  "display_field_id": "<string>",
  "archived": true,
  "position": 123,
  "fields": [
    {
      "id": "<string>",
      "table_id": "<string>",
      "key": "<string>",
      "schema": {
        "type": "file",
        "name": "<string>",
        "description": "<string>",
        "optional": true,
        "array": true,
        "placeholder": "<string>",
        "display": {},
        "order": 1,
        "link": "<string>",
        "metadata": {},
        "allowed_modes": [],
        "broadcast_field": true,
        "integration_field": true,
        "display_field": true,
        "conditions": [
          {
            "field": "<string>",
            "value": "<unknown>"
          }
        ],
        "hidden": true,
        "picker": {
          "type": "google_drive",
          "views": [],
          "selectable_mime_types": [
            "<string>"
          ]
        },
        "requires": [
          "<string>"
        ],
        "disable_variables": true,
        "allowed_types": [
          "<string>"
        ],
        "visibility": "PRIVATE"
      },
      "readonly": true,
      "kind": "system"
    }
  ],
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer token authentication using your API key

Path Parameters

org_id
string
required

Org ID

table_id
string
required

Table ID

Body

name
string

Human-readable name (e.g. "Companies"). 1-128 chars.

Required string length: 1 - 128
record_prefix
string

Uppercase alphanumeric prefix used to render record IDs (e.g. LEADLEAD-42). Unique per org. 1-16 chars.

Required string length: 1 - 16
Pattern: ^[A-Z][A-Z0-9]{0,15}$
description
string | null

Optional long-form description of what the table represents.

Maximum string length: 512
icon

The emoji of a curated icon a user can pick for a table, view, field, or other entity

display_field_id
string | null

Encoded id of the TableField whose value renders as the record headline. Must belong to this table and not be archived. Pass null to clear.

Maximum string length: 128
archived
boolean

Visibility flag. Archived tables are hidden from default lists. No effect on records, fields, or behavior; reversible at any time.

Response

200 - application/json
id
string
required
type
enum<string>
required
Available options:
custom,
contacts,
chats,
users
name
string | null
required

The name of the table.

Example:

"Companies"

description
string | null
required

The description of the table.

Example:

"Companies are organizations that own and manage other organizations."

record_prefix
string | null
required

The prefix of the record.

Example:

"LEAD"

icon
required

The picked icon. Null renders the default table icon.

display_field_id
string | null
required

The id of the display field.

archived
boolean
required

Whether the table is archived.

position
integer
required

Manual display order within the org.

fields
object[]
required
created_at
string<date-time> | null
required
updated_at
string<date-time> | null
required